Fx swap

List FX Swaps

List FX swap records for the authenticated business.

GET
/api/v1/fx/swaps

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Response Body

application/json

curl -X GET "https://example.com/api/v1/fx/swaps"
{
  "requestId": "7702af9b-f785-4d3c-8cb9-b96823eb6df4",
  "requestTimestamp": "2026-04-21 14:20:08",
  "message": "FX swaps fetched successfully.",
  "statusCode": 200,
  "data": [
    {
      "id": "01966f94-0ea8-7309-80e2-4a8676e8d5e2",
      "destinationCurrency": "USD",
      "sourceCurrency": "NGN",
      "status": "pending",
      "reference": "TRX_6WZSIYEK43",
      "sourceReference": "SRC_FX_20260421_001",
      "negotiatedRate": 1585.5,
      "createdAt": "2026-04-21T14:08:27+00:00"
    }
  ],
  "links": {},
  "meta": {}
}
Empty
Empty

How is this guide?